Subject: Missing shames on my order
From: Jody Spangler <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 16 Jun 2025 19:41:55 +0000 (UTC)

I've tried 6 times today to get to discuss this, and 5 times I was disconnected,  one time made it to 11 minutes, and the line went dead.
I ordered Madison Park Luna, in taupe, king size. Finally got our new bed, and opened package, only to be disappointed that both king size shams were missing.  How could quality control have missed it?
On the quilt, binding was not finished, but I can sew that. I can't fix the missing shams.  Below is attachment of my receipt.  Please send me the 2 missing king size shams, in Luna taupe, ASAP. 
I've bought Madison Park bedding before and it was great , and we still use it. Please make this right!

Yahoo Mail: Search, Organize, Conquer